D-Bus: DBusServer Struct Reference

D-Bus 1.16.2

Data Fields
DBusServer Struct Reference
D-Bus secret internal implementation details » DBusServer implementation details

Internals of DBusServer object. More...

`#include <dbus-server-protected.h>`

## Data Fields
DBusAtomic | refcount
| Reference count.
const DBusServerVTable * | vtable
| Virtual methods for this instance.
DBusRMutex * | mutex
| Lock on the server object.
DBusGUID | guid
| Globally unique ID of server.
DBusString | guid_hex
| Hex-encoded version of GUID.
DBusWatchList * | watches
| Our watches.
DBusTimeoutList * | timeouts
| Our timeouts.
char * | address
| Address this server is listening on.
dbus_bool_t | published_address
| flag which indicates that server has published its bus address.
int | max_connections
| Max number of connections allowed at once.
DBusDataSlotList | slot_list
| Data stored by allocated integer ID.
DBusNewConnectionFunction | new_connection_function
| Callback to invoke when a new connection is created.
void * | new_connection_data
| Data for new connection callback.
DBusFreeFunction | new_connection_free_data_function
| Callback to invoke to free new_connection_data when server is finalized or data is replaced.
char ** | auth_mechanisms
| Array of allowed authentication mechanisms.
unsigned int | disconnected: 1
| TRUE if we are disconnected.
unsigned int | have_server_lock: 1
| Does someone have the server mutex locked.

## Detailed Description

Internals of DBusServer object.

Definition at line 58 of file dbus-server-protected.h.

## Field Documentation

## ◆ address

char* DBusServer::address

Address this server is listening on.

Definition at line 71 of file dbus-server-protected.h.

Referenced by _dbus_server_finalize_base(), _dbus_server_init_base(), and dbus_server_get_address().

## ◆ auth_mechanisms

char** DBusServer::auth_mechanisms

Array of allowed authentication mechanisms.

Definition at line 87 of file dbus-server-protected.h.

Referenced by _dbus_server_finalize_base(), and dbus_server_set_auth_mechanisms().

## ◆ disconnected

unsigned int DBusServer::disconnected

TRUE if we are disconnected.

Definition at line 89 of file dbus-server-protected.h.

Referenced by _dbus_server_finalize_base(), _dbus_server_unref_unlocked(), dbus_server_get_is_connected(), and dbus_server_unref().

## ◆ guid

DBusGUID DBusServer::guid

Globally unique ID of server.

Definition at line 64 of file dbus-server-protected.h.

Referenced by _dbus_server_init_base().

## ◆ guid_hex

DBusString DBusServer::guid_hex

Hex-encoded version of GUID.

Definition at line 66 of file dbus-server-protected.h.

Referenced by _dbus_server_finalize_base(), _dbus_server_init_base(), and dbus_server_get_id().

## ◆ have_server_lock

unsigned int DBusServer::have_server_lock

Does someone have the server mutex locked.

Definition at line 92 of file dbus-server-protected.h.

Referenced by _dbus_server_finalize_base().

## ◆ max_connections

int DBusServer::max_connections

Max number of connections allowed at once.

Definition at line 74 of file dbus-server-protected.h.

## ◆ mutex

DBusRMutex* DBusServer::mutex

Lock on the server object.

Definition at line 62 of file dbus-server-protected.h.

Referenced by _dbus_server_finalize_base(), and _dbus_server_init_base().

## ◆ new_connection_data

void* DBusServer::new_connection_data

Data for new connection callback.

Definition at line 80 of file dbus-server-protected.h.

Referenced by dbus_server_set_new_connection_function().

## ◆ new_connection_free_data_function

DBusFreeFunction DBusServer::new_connection_free_data_function

Callback to invoke to free new_connection_data when server is finalized or data is replaced.

Definition at line 82 of file dbus-server-protected.h.

Referenced by dbus_server_set_new_connection_function().

## ◆ new_connection_function

DBusNewConnectionFunction DBusServer::new_connection_function

Callback to invoke when a new connection is created.

Definition at line 78 of file dbus-server-protected.h.

Referenced by dbus_server_set_new_connection_function().

## ◆ published_address

dbus_bool_t DBusServer::published_address

flag which indicates that server has published its bus address.

Definition at line 72 of file dbus-server-protected.h.

Referenced by _dbus_server_init_base().

## ◆ refcount

DBusAtomic DBusServer::refcount

Reference count.

Definition at line 60 of file dbus-server-protected.h.

Referenced by _dbus_server_init_base(), _dbus_server_ref_unlocked(), _dbus_server_unref_unlocked(), dbus_server_ref(), and dbus_server_unref().

## ◆ slot_list

DBusDataSlotList DBusServer::slot_list

Data stored by allocated integer ID.

Definition at line 76 of file dbus-server-protected.h.

Referenced by _dbus_server_finalize_base(), _dbus_server_init_base(), dbus_server_get_data(), and dbus_server_set_data().

## ◆ timeouts

DBusTimeoutList* DBusServer::timeouts

Our timeouts.

Definition at line 69 of file dbus-server-protected.h.

Referenced by _dbus_server_finalize_base(), _dbus_server_init_base(), and dbus_server_set_timeout_functions().

## ◆ vtable

const DBusServerVTable* DBusServer::vtable

Virtual methods for this instance.

Definition at line 61 of file dbus-server-protected.h.

Referenced by _dbus_server_init_base(), _dbus_server_unref_unlocked(), and dbus_server_unref().

## ◆ watches

DBusWatchList* DBusServer::watches

Our watches.

Definition at line 68 of file dbus-server-protected.h.

Referenced by _dbus_server_finalize_base(), _dbus_server_init_base(), _dbus_server_toggle_all_watches(), and dbus_server_set_watch_functions().

The documentation for this struct was generated from the following file:

- dbus-server-protected.h